Subject: Re: /etc/rc.*

From: Charles Ewen MacMillan <[email-masked]>

On Sat, 10 Sep 1994, Niklas Hallqvist wrote:

> Date: Sat, 10 Sep 94 15:51:38 CDT
> From: Niklas Hallqvist <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], [email-masked]
> Subject: Re: /etc/rc.*
> 
> >>>>> "Charles" == Charles Ewen MacMillan <[email-masked]> writes:
> 
> Charles>  These installation instructions are going to be pretty much
> Charles> screwed when /usr/local and /etc/rc.local do not exist are
> Charles> they not?
> 
> Why do you say /usr/local and /etc/rc.local have to go, just because
> you use a package install/deinstall utility and multiple run-level
> support?  I see no problem using both.  If you're so much against
> multiple run-levels, how can you accept single-/multiuser mode?

 There is a vast difference between single-user/multi-user and 6 init 
levels. Single-user is a neccessity for one thing, as it provides 
something for a failed multi-user startup to go back to.

> What's bad about being able to deinstall packages without screwing up
> dependent packages?  Why is it bad to have each package have a
> startup/shutdown script you can run at anytime apart from system
> startup/shutdown.  I think they are good ideas in their own right.
> Hmm, what OS did they show up in?  Oh, sorry, I mean they are
> bad ideas altogether :-)

 You are putting words into my argument that I have never uttered.

> Hey, the origin of ideas cannot possibly be the attribute by which
> you judge them as ideas.  I think you agree on that, don't you.
> Anyway Unix came from a company called AT&T so it cannot be a
> good idea even if some system called BSD were based on it...
> 
> Enough of religous wars, please, come on with sound arguments..

 I am presenting sound arguments, the "religion war" aspect is wholly the 
invention of others.

Charles Ewen MacMillan  | Tezcat.COM - Wicker Park 
  <[email-masked]>    | Offering Internet Access 
Modem: 312-850-0112/0117| Via Interactive UNIX to 
Voice: 312-850-0181     |    the Chicago Area.
WWW: http://tezcat.com/ | Mail: [email-masked]